## bfm 0.6.3

=== Makefile ===
# BubbleFishyMon with gkrellm support
# Type 'make' or 'make bubblefishymon' to build bubblefishymon
# Type 'make bubblefishymon1' to build bubblefishymon for gtk1
# Type 'make gkrellm' to build gkrellm-bfm.so for gkrellm2
# Type 'make gkrellm1' to build gkrellm-bfm.so for gkrellm

# where to install this program
PREFIX ?= /usr/local

# bubblemon configuration
EXTRA = -DENABLE_DUCK
EXTRA += -DENABLE_CPU
EXTRA += -DENABLE_MEMSCREEN
EXTRA += -DENABLE_FISH
EXTRA += -DENABLE_TIME
# EXTRA += -DUPSIDE_DOWN_DUCK
# EXTRA += -DKDE_DOCKAPP

# If building for Linux define the network device to monitor.
NET_DEVICE = ppp0


###############################################################################
# no user serviceable parts below                                             #
###############################################################################
EXTRA += $(WMAN)

# gtk cflags and gtk lib flags
GTK_CFLAGS = $(shell gtk-config --cflags)
GTK_LIBS = $(shell gtk-config --libs)

GTK2_CFLAGS = $(shell pkg-config gtk+-2.0 --cflags)
GTK2_LIBS = $(shell pkg-config gtk+-2.0 --libs)


# optimization cflags
#CFLAGS = -O3 -Wall ${EXTRA}
CFLAGS = ${EXTRA}

# profiling cflags
# CFLAGS = -ansi -Wall -pg -O3 ${EXTRA} -DPRO
# test coverage cflags
# CFLAGS = -fprofile-arcs -ftest-coverage -Wall -ansi -g ${EXTRA} -DPRO


SHELL = sh
OS = $(shell uname -s)
SRCS = fishmon.c bubblemon.c
OBJS = fishmon.o bubblemon.o
BUBBLEFISHYMON = bubblefishymon

# Some stuffs for building gkrellm-bfm
GKRELLM_SRCS = gkrellm-bfm.c
GKRELLM_OBJS = gkrellm-bfm.o
GKRELLM_BFM = gkrellm-bfm.so
LDFLAGS = -shared -Wl

STRIP = strip

CC = gcc

INSTALLMAN = -m 644



# special things for Linux
ifeq ($(OS), Linux)
ifeq "$(NET_DEVICE)" ""
	CFLAGS+=-DNET_DEVICE=\"eth0\"
else
	CFLAGS+=-DNET_DEVICE=\"$(NET_DEVICE)\"
endif
	SRCS += sys_linux.c
	OBJS += sys_linux.o
	INSTALL = -m 755
	INSTALLMAN = -m 644
endif

# special things for FreeBSD
ifeq ($(OS), FreeBSD)
	SRCS += sys_freebsd.c
    OBJS += sys_freebsd.o
    LIBS = -lkvm
    INSTALL = -c -g kmem -m 2755 -o root
endif

# special things for OpenBSD
ifeq ($(OS), OpenBSD)
    OBJS += sys_openbsd.o
    LIBS = `gtk-config --libs | sed "s/-lgtk//g"`
endif

#special things for SunOS
ifeq ($(OS), SunOS)
    # try to detect if gcc is available (also works if you call gmake CC=cc to
    # select the sun compilers on a system with both)
    COMPILER=$(shell \
        if [ `$(CC) -v 2>&1 | egrep -c '(gcc|egcs|g\+\+)'` = 0 ]; then \
	    echo suncc; else echo gcc; fi)

    # if not, fix up CC and the CFLAGS for the Sun compiler
    ifeq ($(COMPILER), suncc)
	CC=cc
	CFLAGS=-v -xO3
    endif

    ifeq ($(COMPILER), gcc)
	CFLAGS=-O3 -Wall
    endif
    CFLAGS += ${EXTRA}
	SRCS += sys_sunos.c
    OBJS += sys_sunos.o
    LIBS = -lkstat -lm
    INSTALL = -m 755
endif

all: $(BUBBLEFISHYMON)

gkrellm: clean_obj
	$(CC) -DGKRELLM2 -DGKRELLM_BFM -fPIC $(GTK2_CFLAGS) $(CFLAGS) -c $(SRCS) \
		$(GKRELLM_SRCS)
	$(CC) $(GTK2_LIBS) $(LDFLAGS) -o $(GKRELLM_BFM) $(OBJS) $(GKRELLM_OBJS)
	$(STRIP) $(GKRELLM_BFM)

gkrellm1: clean_obj
	$(CC) -DGKRELLM_BFM -fPIC $(GTK_CFLAGS) $(CFLAGS) -c $(SRCS) \
		$(GKRELLM_SRCS)
	$(CC) $(GTK_LIBS) $(LDFLAGS) -o $(GKRELLM_BFM) $(OBJS) $(GKRELLM_OBJS)
	$(STRIP) $(GKRELLM_BFM)

bubblefishymon: clean_obj
	$(CC) $(GTK2_CFLAGS) $(CFLAGS) -o $(BUBBLEFISHYMON) \
		$(LIBS) $(GTK2_LIBS) $(SRCS)
	$(STRIP) $(BUBBLEFISHYMON)

bubblefishymon1: clean_obj
	$(CC) $(GTK_CFLAGS) $(CFLAGS) -o $(BUBBLEFISHYMON) \
		$(LIBS) $(GTK_LIBS) $(SRCS)
	$(STRIP) $(BUBBLEFISHYMON)

clean_obj:
	rm -rf *.o

clean:
	rm -f bubblefishymon *.o *.bb* *.gcov gmon.* *.da *~ *.so

install: 
	install -d $(DESTDIR)/$(PREFIX)/bin $(DESTDIR)/$(PREFIX)/share/man/man1
	install $(INSTALL) $(BUBBLEFISHYMON) $(DESTDIR)/$(PREFIX)/bin
	install $(INSTALL_MAN) doc/bubblefishymon.1 $(DESTDIR)/$(PREFIX)/share/man/man1

## bfm 0.6.4

=== Makefile ===
--- 
+++ 
@@ -13,11 +13,11 @@
 EXTRA += -DENABLE_MEMSCREEN
 EXTRA += -DENABLE_FISH
 EXTRA += -DENABLE_TIME
-# EXTRA += -DUPSIDE_DOWN_DUCK
+EXTRA += -DUPSIDE_DOWN_DUCK
 # EXTRA += -DKDE_DOCKAPP
 
 # If building for Linux define the network device to monitor.
-NET_DEVICE = ppp0
+NET_DEVICE = eth0
 
 
 ###############################################################################

=== debian/changelog ===
bfm (0.6.4-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15
    in GKrellM headers. (Closes: #1114062)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 21:14:55 +0300

bfm (0.6.4-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Debian team on Salsa
  * Fix watch file
  * d/rules: Short dh
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Build with -Wno-incompatible-pointer-types (Closes: #1096363)
  * Remove unneeded d/dirs
  * d/copyright: DEP5

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #923274)
    + cross.patch: Make pkg-config substitutable.
    + Let dh_auto_build pass cross tools to make.
    + Defer all stripping to dh_strip.

 -- Andreas Tille <tille@debian.org>  Thu, 13 Mar 2025 05:40:31 +0100

bfm (0.6.4-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965437)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 17:30:21 +0200

bfm (0.6.4-6) unstable; urgency=low

  * Switched the source format from 1.0 to 3.0 (quilt)
  * Updated the homepage. (Closes: #738809).
  * Updated Standards-Version: 3.9.5

 -- Mika Matsuzaki <mika@yukidoke.org>  Sun, 18 May 2014 18:33:55 -0700

bfm (0.6.4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Specifically link libm. (Closes: #713602).
  * Fix ordering of libraries. (Closes: #616727).
    + Thanks to Dave Walker for the fix.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 07 Jul 2013 04:02:09 -0400

bfm (0.6.4-5) unstable; urgency=low

  * Removed extraneous -Wl flag that cause FTBFS with GCC 4.7
    (Closes: #667112).
  * Updated Standards-Version: 3.9.3

 -- Mika Matsuzaki <mika@yukidoke.org>  Tue, 03 Apr 2012 23:56:02 -0400

bfm (0.6.4-4) unstable; urgency=low

  * Fixed nostrip build option. (Closes: #436580)
  * Fixed watch. (Closes: #450079)
  * Fixed menu.
  * Fixed FTBFS bug with binutils-gold. (Closes: #553959)
  * Fixed black background in WindowMaker. (Closes: 555923)
  * Updated to Standards-Version: 3.9.1
  * Removed the deprecated pseudo header for Homepage and turned it into a
    regular debian/control field (Closes:#615303, #615318).

 -- Mika Matsuzaki <mika@yukidoke.org>  Sat, 26 Feb 2011 20:44:58 -0500

bfm (0.6.4-3) unstable; urgency=low

  * New maintainer.

 -- Mika Matsuzaki <mika@yukidoke.org>  Mon, 26 Feb 2007 01:12:17 -0500

bfm (0.6.4-2) unstable; urgency=low

  * Updated to Standards-Version: 3.6.2.
  * Build-Depends on debhelper >=5 and updated debian/compat.
  * Updated FSF address in debian/copyright file.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Mon, 27 Mar 2006 17:05:41 -0300

bfm (0.6.4-1) unstable; urgency=low

  * New upstream release. (closes: #210313)
  * New maintainer. (closes: #325047)
  * Added debian/watch file.
  * Updated man file. (closes: #241181)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 29 Sep 2005 19:50:47 -0300

bfm (0.6.3-3) unstable; urgency=low

  * changed Maintainer to QA and orphaned the package

 -- Martin Wuertele <maxx@debian.org>  Tue, 12 Jul 2005 13:51:57 +0300

bfm (0.6.3-2) unstable; urgency=low

  * Adopt bfm (closes: #253796), comaintaining with maxx@d.o.
  * Move setting hints a bit down, as suggested in wmfire's
    bug report #250937 (closes: #251507).
  * Restore default of using eth0 with 'fish show network traffic'.
    (closes: #241284).  One of the recent versions changed that to
    ppp0!
  * Allow an optional value for -n to specify the network interface.
    (closes: #159782).

 -- Peter Palfrader <weasel@debian.org>  Tue, 13 Jul 2004 06:16:10 +0200

bfm (0.6.3-1) unstable; urgency=low

  * New upstream release, new upstream maintainer.
    Thanks to James Rowe for taking on development.
    Thanks to Huw Giddens for his unofficial packages in the 0.6.x series.
    - Removed build-depends on libgtk1.2-dev.
    - Updated copyright.
    - Updated package descriptions.
    - Removed man page from debian/ directory as it's now in upstream.
    - Install new Xdefaults file into examples.
  * Updated rules file with some shiny new shines.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 24 Jan 2004 12:40:18 +1100

bfm (0.5.1-7) unstable; urgency=low

  * Applied patch from Huw Giddens to finally fix the memory usage routines
    for 2.6 kernels that still works for 2.4 kernels.  Thanks Huw.
    (Closes: #175140)

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 27 Oct 2003 19:07:11 +1100

bfm (0.5.1-6) unstable; urgency=low

  * The "stirring words from the DPL" release.
  * Added -fPIC to gkrellm2 target.  Fixes FTBFS on hppa and others.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 23 Jan 2003 17:33:56 +0800

bfm (0.5.1-5) unstable; urgency=low

  * The "promised I'd fix bugs while at LCA" release.
  * Recompiled against gkrellm 2 now that gkrellm 1 has been removed from
    the archive.  (Closes: #159645)
    Patch thanks to Sjord Simons.
  * Fixed installation path of gkrellm plugin.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 23 Jan 2003 13:02:17 +0800

bfm (0.5.1-4) unstable; urgency=low

  * Bumped standards version to 3.5.8.0.
  * Set DH_COMPAT to 4.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 30 Nov 2002 12:23:53 +1100

bfm (0.5.1-3) unstable; urgency=low

  * Applied gkrellm2 patch from Sjoerd Simons <sjoerd@luon.net>
    (Closes: #159645)
  * Moved example Xdefaults file from docs to examples.
  * Fixed manpage section.

 -- Jamie Wilkinson <jaq@debian.org>  Fri,  6 Sep 2002 18:54:32 +1000

bfm (0.5.1-2) unstable; urgency=low

  * Added -fPIC to the gkrellm plugin CFLAGS.
  * Added <string.h> to sys_linux.c.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 26 Aug 2002 18:58:21 +1000

bfm (0.5.1-1) unstable; urgency=low



=== debian/control ===
Source: bfm
Section: x11
Priority: optional
Maintainer: Mika Matsuzaki <mika@yukidoke.org>
Uploaders: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper-compat (= 13), gkrellm, libgtk2.0-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/bfm
Vcs-Git: https://salsa.debian.org/debian/bfm.git
Homepage: https://github.com/JNRowe/bfm

Package: bubblefishymon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: system load dockapp with a duck
 A load monitor dockapp, descended from wmfishtime and bubblemon.
 Features include fish representing network traffic, bubbles representing
 CPU usage, and a duck representing a duck.

Package: gkrellm-bfm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: system load plugin for gkrellm with a duck
 A load monitor plugin for gkrellm, descended from wmfishtime and bubblemon.
 Features include fish representing network traffic, bubbles representing
 CPU usage, and a duck representing a duck.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr STRIP=true bubblefishymon
	dh_auto_build -- PREFIX=/usr STRIP=true gkrellm
	touch build-stamp

override_dh_auto_install:
	$(MAKE) PREFIX=/usr install DESTDIR=$(CURDIR)/debian/bubblefishymon
	cp gkrellm-bfm.so $(CURDIR)/debian/gkrellm-bfm/usr/lib/gkrellm2/plugins


override_dh_installchangelogs-arch:
	dh_installchangelogs -a ChangeLog

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/JNRowe/bfm//tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
